summaryrefslogtreecommitdiff
path: root/tests/cp/dir-vs-file
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2001-01-10 09:40:47 +0000
committerJim Meyering <jim@meyering.net>2001-01-10 09:40:47 +0000
commit9f43a52210bfc9402bb3f8eb9c9f40c0fa99795d (patch)
tree2be2fddaab2bdc8cf996352ebe55a02cc3320874 /tests/cp/dir-vs-file
parent6bf0f043cdbe919510cbecc763f7e57c28505908 (diff)
downloadcoreutils-9f43a52210bfc9402bb3f8eb9c9f40c0fa99795d.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/cp/dir-vs-file')
-rwxr-xr-xtests/cp/dir-vs-file14
1 files changed, 7 insertions, 7 deletions
diff --git a/tests/cp/dir-vs-file b/tests/cp/dir-vs-file
index a5fc7aea2..0b1799e6c 100755
--- a/tests/cp/dir-vs-file
+++ b/tests/cp/dir-vs-file
@@ -18,8 +18,8 @@ framework_failure=0
mkdir $tmp || framework_failure=1
cd $tmp || framework_failure=1
-mkdir a a/b a/c || framework_failure=1
-touch a/1 a/2 a/3 a/b/b a/b/c || framework_failure=1
+mkdir dir || framework_failure=1
+touch file || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
@@ -28,11 +28,11 @@ fi
fail=0
-cp -al a/* a/b 2>/dev/null && fail=1
+# In 4.0.35, this cp invocation silently succeeded.
+cp -R dir file 2>/dev/null && fail=1
-# The files a/b/b and a/b/c must remain as files.
-# In 4.0.35, they were overwritten with directories.
-test -f a/b/b || fail=1
-test -f a/b/c || fail=1
+# Make sure file is not replaced with a directory.
+# In 4.0.35, it was.
+test -f file || fail=1
(exit $fail); exit